SSIFlastmod (Catalina Internal API Documentation)
Keywords: org.apache.catalina.ssi.SSIFlastmod class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIFlastmod

    java.lang.Object
      org.apache.catalina.ssi.SSIFlastmod

All Implemented Interfaces:
  SSICommand

public final class SSIFlastmod
extends java.lang.Object
implements SSICommand

Implements the Server-side #flastmod command

Version:
  $Revision: 413191 $, $Date: 2006-06-09 19:14:58 -0400 (Fri, 09 Jun 2006) $
Author:
  Bip Thelin, Paul Speed, Dan Sandberg

Constructor Summary
`SSIFlastmod()`

Method Summary
`protected java.lang.String` | `formatDate(java.util.Date date, java.lang.String configTimeFmt)`
`void` | `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIFlastmod

    public SSIFlastmod()

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  See Also:
    `SSICommand`

### formatDate

    protected java.lang.String formatDate(java.util.Date date,
                                          java.lang.String configTimeFmt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.